Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Class CauchyDistributionImpl

    java.lang.Object
      org.apache.commons.math.distribution.AbstractDistribution
          org.apache.commons.math.distribution.AbstractContinuousDistribution
              org.apache.commons.math.distribution.CauchyDistributionImpl

All Implemented Interfaces:
  CauchyDistribution, ContinuousDistribution, Distribution, Serializable

public class CauchyDistributionImpl
extends AbstractContinuousDistribution
implements CauchyDistribution, Serializable

Default implementation of `CauchyDistribution`.

Since:
  1.1
Version:
  $Revision: 348519 $ $Date: 2005-11-23 12:12:18 -0700 (Wed, 23 Nov 2005) $
See Also:
  Serialized Form

Constructor Summary
`CauchyDistributionImpl()` Creates cauchy distribution with the medain equal to zero and scale equal to one.
`CauchyDistributionImpl(double median, double s)` Create a cauchy distribution using the given median and scale.

Method Summary
`double` | `cumulativeProbability(double x)` For this disbution, X, this method returns P(X < `x`).
`protected double` | `getDomainLowerBound(double p)` Access the domain value lower bound, based on `p`, used to bracket a CDF root.
`protected double` | `getDomainUpperBound(double p)` Access the domain value upper bound, based on `p`, used to bracket a CDF root.
`protected double` | `getInitialDomain(double p)` Access the initial domain value, based on `p`, used to bracket a CDF root.
`double` | `getMedian()` Access the median.
`double` | `getScale()` Access the scale parameter.
`double` | `inverseCumulativeProbability(double p)` For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.
`void` | `setMedian(double median)` Modify the median.
`void` | `setScale(double s)` Modify the scale parameter.

Methods inherited from class org.apache.commons.math.distribution.AbstractDistribution
`cumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability`

Constructor Detail

### CauchyDistributionImpl

    public CauchyDistributionImpl()

  Creates cauchy distribution with the medain equal to zero and scale equal to one.

### CauchyDistributionImpl

    public CauchyDistributionImpl(double median,
                                  double s)

  Create a cauchy distribution using the given median and scale.

Parameters:
  `median` - median for this distribution
  `s` - scale parameter for this distribution

Method Detail

### cumulativeProbability

    public double cumulativeProbability(double x)

  For this disbution, X, this method returns P(X < `x`).

  Specified by:
    `cumulativeProbability` in interface `Distribution`
  Parameters:
    `x` - the value at which the CDF is evaluated.
  Returns:
    CDF evaluted at `x`.

### getMedian

    public double getMedian()

  Access the median.

  Specified by:
    `getMedian` in interface `CauchyDistribution`
  Returns:
    median for this distribution

### getScale

    public double getScale()

  Access the scale parameter.

  Specified by:
    `getScale` in interface `CauchyDistribution`
  Returns:
    scale parameter for this distribution

### inverseCumulativeProbability

    public double inverseCumulativeProbability(double p)

  For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.

  Returns `Double.NEGATIVE_INFINITY` for p=0 and `Double.POSITIVE_INFINITY` for p=1.

  Specified by:
    `inverseCumulativeProbability` in interface `ContinuousDistribution`
  Overrides:
    `inverseCumulativeProbability` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability
  Returns:
    x, such that P(X < x) = `p`
  Throws:
    `IllegalArgumentException` - if `p` is not a valid probability.

### setMedian

    public void setMedian(double median)

  Modify the median.

  Specified by:
    `setMedian` in interface `CauchyDistribution`
  Parameters:
    `median` - for this distribution

### setScale

    public void setScale(double s)

  Modify the scale parameter.

  Specified by:
    `setScale` in interface `CauchyDistribution`
  Parameters:
    `s` - scale parameter for this distribution
  Throws:
    `IllegalArgumentException` - if `sd` is not positive.

### getDomainLowerBound

    protected double getDomainLowerBound(double p)

  Access the domain value lower bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainLowerBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value lower bound, i.e. P(X < lower bound) < `p`

### getDomainUpperBound

    protected double getDomainUpperBound(double p)

  Access the domain value upper bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainUpperBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value upper bound, i.e. P(X < upper bound) > `p`

### getInitialDomain

    protected double getInitialDomain(double p)

  Access the initial domain value, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getInitialDomain` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    initial domain value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.